
AUTO_CC = \
  GdomeSmartDOMEventTarget.cc \
  GdomeSmartDOMEvent.cc \
  GdomeSmartDOMMutationEvent.cc

MAINTAINERCLEANFILES = $(AUTO_CC)

XML2CC = $(srcdir)/../xsl/xml2cc.xsl

SUFFIXES = .xml .cc

noinst_LTLIBRARIES = libevents.la

libevents_la_SOURCES = \
  GdomeSmartDOMHelper.cc \
  $(AUTO_CC)

if HAVE_XSLTPROC_COND

GdomeSmartDOM%.cc : $(top_srcdir)/xml/DOM/Events/%.xml $(XML2CC)
	$(XSLTPROC) --param module "'Events'" \
		    --param uriprefix "'$(top_srcdir)/xml/DOM/Events'" \
	            $(XML2CC) $< >$@

endif

INCLUDES = \
  $(GDOME_CFLAGS) \
  -I$(srcdir)/../include \
  -I$(top_builddir)/src/gdome_cpp_smart/include

